diff --git a/pgadmin/ctl/ctlSQLGrid.cpp b/pgadmin/ctl/ctlSQLGrid.cpp
index 49faf08..027d080 100644
--- a/pgadmin/ctl/ctlSQLGrid.cpp
+++ b/pgadmin/ctl/ctlSQLGrid.cpp
@@ -23,6 +23,7 @@
 
 BEGIN_EVENT_TABLE(ctlSQLGrid, wxGrid)
     EVT_MENU(MNU_COPY, ctlSQLGrid::OnCopy)
+    EVT_MOUSEWHEEL(ctlSQLGrid::OnMouseWheel)
 END_EVENT_TABLE()
 
 IMPLEMENT_DYNAMIC_CLASS(ctlSQLGrid, wxGrid)
@@ -55,6 +56,30 @@ void ctlSQLGrid::OnCopy(wxCommandEvent& ev)
     Copy();
 }
 
+void ctlSQLGrid::OnMouseWheel(wxMouseEvent& event)
+{
+    if (event.ControlDown())
+    {
+        wxFont fontlabel = GetLabelFont();
+        wxFont fontcells = GetDefaultCellFont();
+        if (event.GetWheelRotation() > 0)
+        {
+            fontlabel.SetPointSize(fontlabel.GetPointSize()+1);
+            fontcells.SetPointSize(fontcells.GetPointSize()+1);
+        }
+        else
+        {
+            fontlabel.SetPointSize(fontlabel.GetPointSize()-1);
+            fontcells.SetPointSize(fontcells.GetPointSize()-1);
+        }
+        SetLabelFont(fontlabel);
+        SetDefaultCellFont(fontcells);
+        SetColLabelSize(fontlabel.GetPointSize() *4);
+        SetDefaultRowSize(fontcells.GetPointSize() *2);
+        ForceRefresh();
+    }
+}
+
 wxString ctlSQLGrid::GetExportLine(int row)
 {
     return GetExportLine(row, 0, GetNumberCols() - 1);
diff --git a/pgadmin/include/ctl/ctlSQLGrid.h b/pgadmin/include/ctl/ctlSQLGrid.h
index 7b752a7..900d11a 100644
--- a/pgadmin/include/ctl/ctlSQLGrid.h
+++ b/pgadmin/include/ctl/ctlSQLGrid.h
@@ -37,6 +37,7 @@ public:
 
 private:
     void OnCopy(wxCommandEvent& event);
+    void OnMouseWheel(wxMouseEvent& event);
 };
 
 #endif
